Arramagong v.3

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Arramagong v.3

Filippo
Stavo provando questa versione con VmWare...un modo per avvicinarmi a
linux...
ma ho un probleba con QGis...
quando cerco di scaricare una mappa da OSM il programma si chiude...
questo quello che si vede dal terminale:

user@osgeolive:~$ qgis
Python support ENABLED :-)
Loaded : fTools (package: fTools)
/usr/lib/python2.6/dist-packages/osgeo/gdal.py:81: DeprecationWarning:
gdal.py was placed in a namespace, it is now available as osgeo.gdal
   DeprecationWarning)
Loaded : OpenStreetMap plugin (package: osm)
/usr/share/qgis/python/plugins/plugin_installer/installer_data.py:590:
DeprecationWarning: BaseException.message has been deprecated as of
Python 2.6
   error = error.message
Loaded : Plugin Installer (package: plugin_installer)
Warning: QObject::connect: Incompatible sender/receiver arguments
         QgsProject::writeProject(QDomDocument&) -->
QgisApp::projectChanged(QDomDocument)
Segmentation fault
user@osgeolive:~$

qual' è il problema?
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

Filippo

> Stavo provando questa versione con VmWare...un modo per avvicinarmi a
> linux...
> ma ho un probleba con QGis...
> quando cerco di scaricare una mappa da OSM il programma si chiude...
> questo quello che si vede dal terminale:
>
> user@osgeolive:~$ qgis
> Python support ENABLED :-)
> Loaded : fTools (package: fTools)
> /usr/lib/python2.6/dist-packages/osgeo/gdal.py:81: DeprecationWarning:
> gdal.py was placed in a namespace, it is now available as osgeo.gdal
>     DeprecationWarning)
> Loaded : OpenStreetMap plugin (package: osm)
> /usr/share/qgis/python/plugins/plugin_installer/installer_data.py:590:
> DeprecationWarning: BaseException.message has been deprecated as of
> Python 2.6
>     error = error.message
> Loaded : Plugin Installer (package: plugin_installer)
> Warning: QObject::connect: Incompatible sender/receiver arguments
>           QgsProject::writeProject(QDomDocument&) -->
> QgisApp::projectChanged(QDomDocument)
> Segmentation fault
> user@osgeolive:~$
>
> qual' è il problema?
>
>
>
>    
Allora nessuno ne sa niente?? E' strano perchè è una versine
precompilata con tutto già installato quindi penso testata e funzionante...!

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
epi
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

epi


Il giorno 09/giu/2010, alle ore 03.17, Filippo ha scritto:


qual' è il problema?


il plug-in di OSM




  
Allora nessuno ne sa niente?? E' strano perchè è una versine precompilata con tutto già installato quindi penso testata e funzionante...!


 
qgis è la stessa versione del repository usbuntu-gis (al momento della creazione del dvd)
quindi testata e funzionante, discorso diverso per i plug-in, non tutti sono stati testati
ed in particolar modo il plug-in di OSM è alquanto instabile (crasha qgis-svn anche su osx) 
Hai provato lo stesso plug-in su windows ? 





_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

pcav
In reply to this post by Filippo
Non confermo. Qui funziona. Probabilmente è un problema di pacchetto.
Avete verificato che non sia un bug noto?
Saluti.
---
Paolo Cavallini
http://www.faunalia.it/pc

----- Reply message -----
Da: "Massimo Di Stefano" <[hidden email]>
Data: mer, giu 9, 2010 04:01
Oggetto: [Gfoss] Arramagong v.3
A: "Filippo" <[hidden email]>
Cc: <[hidden email]>




Il giorno 09/giu/2010, alle ore 03.17, Filippo ha scritto:


qual' è il problema?


il plug-in di OSM




  
Allora nessuno ne sa niente?? E' strano perchè è una versine precompilata con tutto già installato quindi penso testata e funzionante...!


 
qgis è la stessa versione del repository usbuntu-gis (al momento della creazione del dvd)
quindi testata e funzionante, discorso diverso per i plug-in, non tutti sono stati testati
ed in particolar modo il plug-in di OSM è alquanto instabile (crasha qgis-svn anche su osx) 
Hai provato lo stesso plug-in su windows ? 





_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

Filippo
In reply to this post by Filippo
Su windows funziona!! Ma lo stesso problema me lo fa gisvm2base (un' altra Live)...
ma questo è normale?
Python support ENABLED :-)
Loaded : fTools (package: fTools)
/usr/lib/python2.6/dist-packages/osgeo/gdal.py:81: DeprecationWarning: gdal.py was placed in a namespace, it is now available as osgeo.gdal
  DeprecationWarning)

Loaded : OpenStreetMap plugin (package: osm)
/usr/share/qgis/python/plugins/plugin_installer/installer_data.py:590: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  error = error.message

Loaded : Plugin Installer (package: plugin_installer)
Warning: QObject::connect: Incompatible sender/receiver arguments
        QgsProject::writeProject(QDomDocument&) --> QgisApp::projectChanged(QDomDocument)
Segmentation fault

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

a.furieri
On Wed, 09 Jun 2010 12:37:22 +0200, Filippo wrote

> Su windows funziona!! Ma lo stesso problema me lo fa gisvm2base (un' altra Live)...
> ma questo è normale?
> Python support ENABLED :-)
> Loaded : fTools (package: fTools)
> /usr/lib/python2.6/dist-packages/osgeo/gdal.py:81: DeprecationWarning: gdal.py was placed in a namespace, it is now available as osgeo.gdal
>   DeprecationWarning)

> Loaded : OpenStreetMap plugin (package: osm)
> /usr/share/qgis/python/plugins/plugin_installer/installer_data.py:590: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
>   error = error.message

> Loaded : Plugin Installer (package: plugin_installer)
> Warning: QObject::connect: Incompatible sender/receiver arguments
>         QgsProject::writeProject(QDomDocument&) --> QgisApp::projectChanged(QDomDocument)
> Segmentation fault

Scusatemi se mi intrometto ...
non sono affatto uno specialista Python :-)

QGis su WinOz utilizza Python 2.5: su Linux invece
parrebbe proprio (dai messaggi) che utilizzi la 2.6

il problema che segnala Filippo mi sembra specificamente
legato alla 2.6, o mi sbaglio ?

ciao Sandro

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010
Reply | Threaded
Open this post in threaded view
|

Re: Arramagong v.3

Filippo
In reply to this post by Filippo
Il 10/06/2010 09:47, [hidden email] ha scritto:
Su windows funziona!! Ma lo stesso problema me lo fa gisvm2base (un' 
altra Live)...
ma questo è normale?
Python support ENABLED :-)
Loaded : fTools (package: fTools)
/usr/lib/python2.6/dist-packages/osgeo/gdal.py:81:* DeprecationWarning: 
gdal.py was placed in a namespace, it is now available as osgeo.gdal
   DeprecationWarning)*
Loaded : OpenStreetMap plugin (package: osm)
/usr/share/qgis/python/plugins/plugin_installer/installer_data.py:590: 
*DeprecationWarning: BaseException.message has been deprecated as of 
Python 2.6
   error = error.message*
Loaded : Plugin Installer (package: plugin_installer)
*Warning: QObject::connect: Incompatible sender/receiver arguments*
         QgsProject::writeProject(QDomDocument&) --> 
QgisApp::projectChanged(QDomDocument)
*Segmentation fault*
  
 e questo è l' errore se clicco su "Load OSM from flile":

An error has occured while executing Python code:

Traceback (most recent call last):
  File "/usr/share/qgis/python/plugins/osm/OsmPlugin.py", line 199, in loadOsmFromFile
    self.dlgLoad=OsmLoadDlg(self)
  File "/usr/share/qgis/python/plugins/osm/OsmLoadDlg.py", line 57, in __init__
    item.setFlags( Qt.ItemIsSelectable | Qt.ItemIsUserCheckable | Qt.ItemIsEnabled)
AttributeError: 'module' object has no attribute 'ItemIsSelectable'

Python version:
2.6.4 (r264:75706, Dec  7 2009, 19:02:09)
[GCC 4.4.1]

Python path: ['/usr/share/qgis/python', '/home/user/.qgis//python', '/home/user/.qgis//python/plugins', '/usr/share/qgis/python/plugins', '/usr/local/lib/python2.6/dist-packages/rpy2-2.0.8-py2.6-linux-i686.egg', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/dist-packages', '/usr/lib/python2.6/dist-packages/PIL', '/usr/lib/python2.6/dist-packages/gst-0.10', '/usr/lib/pymodules/python2.6', '/usr/lib/python2.6/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.6/gtk-2.0', '/usr/lib/python2.6/dist-packages/wx-2.8-gtk2-unicode', '/usr/local/lib/python2.6/dist-packages', '/usr/share/qgis/python/plugins/cadtools/tools', '/usr/share/qgis/python/plugins/fTools/tools', '/usr/share/qgis/python/plugins/cataloginpecreate/logic', '/usr/share/qgis/python/plugins/cataloginpecreate/gui', '/usr/share/qgis/python/plugins/cataloginpequicklookorder/logic', '/usr/share/qgis/python/plugins/cataloginpequicklookorder/gui', '/usr/share/qgis/python/plugins/GdalTools/tools', '/usr/share/qgis/python', '/usr/share/qgis/python/plugins/ziplayers/logic', '/usr/share/qgis/python/plugins/ziplayers/gui']

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
440 iscritti al 15.3.2010